Bug 449297 - On startup, firefox deleted all of my stored cookies
On startup, firefox deleted all of my stored cookies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 17:56 EDT by Tethys
Modified: 2009-07-14 13:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2008-06-01 17:56:59 EDT
Description of problem:
I started up up Firefox on a Fedora 9 box. None of my stored cookies were
present. Worse, on returning to use Firefox on older Fedora boxen, it had
deleted them from there, too. It also removed by store/block cookie preferences
(set using the Cookie Button extension). My home directory is NFS mounted, so it
is visible to various versions of the browser, depending on which machine I
happen to be using at the time.

Version-Release number of selected component (if applicable):
firefox-3.0-0.60.beta5.fc9.x86_64

How reproducible:
N/A

Steps to Reproduce:
1. Accumulate many cookies over several years
2. Log in to a F9 box and start firefox. No cookies :-(
3. Return to an older Fedora box. Still no cookies :-( :-(
Comment 1 Martin Stransky 2008-06-02 06:53:55 EDT
Can you find the cookies.* file in your .mozilla dir? Maybe you use a different
profile...
Comment 2 Tethys 2008-06-12 20:39:16 EDT
Yes, it looks like it's related to the switch from cookies.txt to
cookies.sqlite. So when FF3 started up, it migrated my cookies from
plain text to sqlite.

That's all well and good, but it deleted the old cookies.txt file,
rather than leaving it there :-( That means that when I go back to
my main machines (which are all running older versions of Firefox),
the cookie file no longer exists.

In an ideal world, FF3 would keep the master file as cookies.sqlite,
and keep a backwardly compatible cookies.txt there as well, which is
updated whenever the sqlite file is. But failing that, at the very
least, it should not delete the old file.
Comment 3 Bug Zapper 2009-06-09 21:20:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:57:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.